import { ElementRef, OnChanges, SimpleChanges } from '@angular/core';
export declare class NgxPatternDirective implements OnChanges {
    private host;
    ngxPattern?: RegExp | string;
    regExPattern?: RegExp;
    private document;
    constructor(host: ElementRef, document: any);
    ngOnChanges(changes: SimpleChanges): void;
    onKeyDown(event: KeyboardEvent): void;
    onInput(): void;
    onPaste(event: ClipboardEvent): void;
    onDrop(event: DragEvent): void;
    get currentValue(): string | undefined;
    private validWithChange;
    private textIsValid;
    private get inputEl();
}
